Subject: bug#19355: 25.0.50; limit the popup window height

From: Leo Liu <[email-masked]>
Date: Wed, 17 Dec 2014 08:43:03 +0800

On 2014-12-14 10:03 +0100, martin rudalics wrote:
> first and do the same steps as above, the first one is identical and in
> the other two cases the empty lines get removed and the window shrinks.
>
> Please have another look.

I got the same thing with or without temp-buffer-resize-mode.

My concern is with something similar to the first experiment i.e. C-h f
set- TAB. What we see in C-h f set- TAB is not problematic because point
is in the minibuffer and the popup doesn't move it around.

The problematic case is when I am developing an elisp program in a
window and do a completion-at-point for `(set-'. The popup takes up so
much height that it often changes view in my editing buffer, i.e. move
point to close to the top of the frame, push some buffer contents out of
view etc.

I.e. Change

+--------
|
|
|_
|
|
|
+--------

to

+--------
|_
+--------
|
|
|
|
+--------

where _ is point. When the popup goes away (*Completions* goes away
after some command.), my window view now looks like:

+--------
|_
|
|
|
|
|
+--------

Leo